org.eclipse.wst.jsdt.chromium.util

## Interface JavaScriptExpressionBuilder.VariableAccess

Enclosing class:
  JavaScriptExpressionBuilder

    public static interface JavaScriptExpressionBuilder.VariableAccess

Makes an input for the qualified name builder. It provides variable name, its associated formatter and a link to the parent variable, thus implicitly providing the entire chain of variables back to the root variable.

### Method Summary

All Methods Instance Methods Abstract Methods
`JavaScriptExpressionBuilder.VariableAccess` `getParent()`
`java.lang.String` `getShortName()`
`JavaScriptExpressionBuilder.ExpressionComponentFormatter` `getVariableFormatter()`

### Method Detail

#### getShortName

    java.lang.String getShortName()

#### getVariableFormatter

    JavaScriptExpressionBuilder.ExpressionComponentFormatter getVariableFormatter()

#### getParent

    JavaScriptExpressionBuilder.VariableAccess getParent()